var app = require('http').createServer(handler);
var fs = require('fs');
var io = require('socket.io').listen(app);

app.listen(8000);



function handler(request, response) {
  var html = fs.readFile(__dirname + '/client.html', function(err, data) {
    response.writeHead(200);
    response.end(data);
  });
}



io.sockets.on('connection', function (socket) {

  socket.on('set name', function(data) {
    socket.set('name', data);
    io.sockets.emit('info', data + ' joined the chat.');
  });
  
  socket.on('say', function(message) {
    socket.get('name', function (err, name) {
      socket.broadcast.emit( 'say' , { name: name, message: message, self: false } );
      socket.emit( 'say' , { name: name, message: message, self: true });
    });
  });

  socket.on('disconnect', function () {
    socket.get('name', function (err, name) {
      io.sockets.emit( 'info' , name + ' left the chat.');
    });
  });

});
